libzypp 17.37.10

zypp::iomanip::RangeLine< TIterator > Struct Template Reference

`#include <zypp-core/base/LogTools.h>`

## Public Member Functions
| RangeLine (TIterator begin, TIterator end)

## Public Attributes
TIterator | _begin
TIterator | _end

## Related Symbols
(Note that these are not member symbols.)
template<class TIterator>
std::ostream & | operator<< (std::ostream &str, const RangeLine< TIterator > &obj)
| <TIterator>

## Detailed Description

template<class TIterator>
struct zypp::iomanip::RangeLine< TIterator >

Definition at line 160 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ RangeLine()

template<class TIterator>

zypp::iomanip::RangeLine< TIterator >::RangeLine | ( | TIterator | begin,
|  | TIterator | end )
| inline

Definition at line 162 of file LogTools.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

template<class TIterator>

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RangeLine< TIterator > & | obj )
| related

<TIterator>

Definition at line 172 of file LogTools.h.

## Member Data Documentation

## ◆ _begin

template<class TIterator>

TIterator zypp::iomanip::RangeLine< TIterator >::_begin

Definition at line 166 of file LogTools.h.

## ◆ _end

template<class TIterator>

TIterator zypp::iomanip::RangeLine< TIterator >::_end

Definition at line 167 of file LogTools.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogTools.h